Subject: Re: bug#45926: Tabulated-list-mode wasteful properties

From: Stefan Kangas <[email-masked]>
Date: Thu, 11 Mar 2021 21:39:39 -0600

Boruch Baum <[email-masked]> writes:

>> Borouch, did you have the time to look into if this data is indeed
>> shared or not?  Thanks.
>
> Oh. I thought I had done that right away ...
>
> Doing it again now. Yes. It's very simple to check for yourself. Open a
> buffer that uses the mode and evaluate from any table line ...
>
>   (buffer-substring (line-beginning-position) (line-end-position))
>
> You should be able to clearly see all the duplication. It's easiest when
> you have pretty-print set up to display the output in a dedicated
> buffer, but even without that you can isearch through the duplications.

I think the interesting question is if that data is duplicated in memory
or if these are just pointers to the same shared data.

I would try modifying this data with something like `setcdr' to see if
it updates everywhere -- if the answer yes, then this data is shared and
there is no problem here.